#!/bin/bash

EXITCODE=0

do_diff() {
    p=$1
    m=$2

    # comments
    grep -v "^--" $p > p.sql
    sed -i 's/"//'g p.sql
    sed -i 's/PARTITION.*//'g p.sql
    sed -i 's/create unlogged table/create table/' p.sql

    # comments
    grep -v "^--" $m > m.sql
    sed -i 's/`//'g m.sql
    sed -i 's/"//'g m.sql
    sed -i 's/PARTITION.*//'g m.sql
    sed -i 's/bigint not null primary key auto_increment/bigserial not null primary key/' m.sql
    sed -i 's/ engine=innodb//' m.sql
    sed -i 's/tinyint(1)/smallint/' m.sql
    sed -i 's/tinyint(10)/smallint/' m.sql
    sed -i 's/double null/double precision null/' m.sql
    sed -i 's/mediumtext/text/' m.sql

    diff p.sql m.sql
    if [[ $? -ne 0 ]] ; then
        EXITCODE=1
    fi
    rm p.sql m.sql
}

do_diff postgresql.sql mysql.sql
do_diff postgresql-datastore.sql mysql-datastore.sql
exit $EXITCODE
