create table "stat" (
  "time" bigint not null,
  "service_id" bigint not null,
  "satellite_id" bigint null,
  "item_id" smallint not null,
  "value" double precision null
)
PARTITION BY RANGE ("time");
-- backup: where time >= and time <=
create index "stat_time_index" on "stat" ("time");
-- get metrics by service_id, time, item_id
create index "stat_service_id_time_item_id_index" on "stat" ("service_id", "time", "item_id");

create table "result" (
  "time" bigint not null,
  "service_id" bigint not null,
  "status" smallint not null default '1',
  "message" text,
  "data" json not null
)
PARTITION BY RANGE ("time");
create index "result_time_index" on "result" ("time");
create index "result_service_id_index" on "result" ("service_id");

create table "stat_hourly" (
  "time" bigint not null,
  "service_id" bigint not null,
  "satellite_id" bigint null,
  "item_id" smallint not null,
  "avg" double precision null,
  "min" double precision null,
  "max" double precision null
)
PARTITION BY RANGE ("time");
create index "stat_hourly_time_index" on "stat_hourly" ("time");
create index "stat_hourly_service_id_time_item_id_index" on "stat_hourly" ("service_id", "time", "item_id");
