#!/bin/bash

DB_NAME="blxds"
DB_USER="blxds"
DB_HOST="localhost"
export PGPASSWORD=""

psql -U $DB_USER -h $DB_HOST -d $DB_NAME -t -A -F "" -c "
SELECT format(
    'CREATE INDEX %I ON %I (service_id, \"time\", item_id);',
    partition_name || '_service_id_time_item_id_index', partition_name
)
FROM (
    SELECT inhrelid::regclass::text AS partition_name
    FROM pg_inherits
    WHERE inhparent = 'stat'::regclass
) subquery;
" > /tmp/blx-create-indexes.sql

while IFS= read -r line; do
    echo "$line"
    time psql -U $DB_USER -h $DB_HOST -d $DB_NAME -c "$line"
done < /tmp/blx-create-indexes.sql

MAIN_INDEX="CREATE INDEX stat_service_id_time_item_id_index ON stat (service_id, \"time\", item_id);"
echo "$MAIN_INDEX"
time psql -U $DB_USER -h $DB_HOST -d $DB_NAME -c "$MAIN_INDEX"

psql -U $DB_USER -h $DB_HOST -d $DB_NAME -t -A -F "" -c "
SELECT format(
    'ALTER INDEX stat_service_id_time_item_id_index ATTACH PARTITION %I;',
    partition_name || '_service_id_time_item_id_index'
)
FROM (
    SELECT inhrelid::regclass::text AS partition_name
    FROM pg_inherits
    WHERE inhparent = 'stat'::regclass
) subquery;
" > /tmp/blx-attach-indexes.sql

while IFS= read -r line; do
    echo "$line"
    time psql -U $DB_USER -h $DB_HOST -d $DB_NAME -c "$line"
done < /tmp/blx-attach-indexes.sql

MAIN_INDEX="drop index stat_service_id_index;"
echo "$MAIN_INDEX"
time psql -U $DB_USER -h $DB_HOST -d $DB_NAME -c "$MAIN_INDEX"
